Summary: A command-line WebDAV client
Summary(ja): コマンドライン形式の WebDAV クライアント
Name: cadaver
Version: 0.23.3
Release: 4%{_dist_release}

Group: Applications/Internet
License: GPLv2+
URL: http://www.webdav.org/cadaver/

Source: http://www.webdav.org/cadaver/cadaver-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: krb5-devel
BuildRequires: libxml2-devel
BuildRequires: neon-devel
BuildRequires: readline-devel

Vendor: Project Vine
Distribution: Vine Linux

Packager: iwamoto, inagaki

%description
cadaver is a command-line WebDAV client. It supports file upload,
download, on-screen display, namespace operations (move/copy),
collection creation and deletion, and locking operations.

%description -l ja
cadaver はコマンドライン形式の WebDAV クライアントです。ファイル
アップロード、ダウンロード、表示画面( on-screen display )、
名前空間での操作( move/copy )、コレクションの作成や削除、ロック
処理をサポートします。

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS

# ad-hoc fix for building with neon 0.30.0
sed -i -e 's/27 28 29/27 28 29 30/g' configure

%configure --with-ssl --with-neon --with-libxml2
make %{?_smp_mflags}

%install
rm -fr %{buildroot}
%makeinstall
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 0644 doc/cadaver.1 %{buildroot}%{_mandir}/man1

%find_lang %{name} 

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc BUGS ChangeLog COPYING FAQ INTEROP NEWS README THANKS TODO
%{_bindir}/cadaver
%{_mandir}/man1/cadaver.1*

%changelog
* Wed Dec 30 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.23.3-4
- built with gnutls-3.4.x.

* Sun Apr  5 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.23.3-3
- rebuilt with readline 6.3

* Fri Dec 26 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.23.3-2
- rebuilt on current VineSeed
- fixed spec to built with neon 0.30

* Thu Mar 24 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.23.3-1
- updated to 0.23.3
- removed BR: openssl-devel

* Sat Jun 06 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.23.2-2
- spec in UTF-8
- added Packager tag

* Thu May 07 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.23.2-1
- new upstream relase
- new versioning policy
- rebuilt with new toolchain (neon, openssl)
- add BuildRequires: krb5-devel

* Wed Feb 27 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.22.5-0vl2
- rebuild with expat-2.0.1

* Sun Jun 10 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22.5-0vl1
- upstream release
- rebuilt with new toolchain

* Thu Jul 21 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.22.2-0vl1
- upstream release
- drop Patch100
  (security patch which was already included in upstream source)
- add BUGS to %doc

* Wed Jul 20 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.22.0-0vl3
- add Japanese description
- remove BuildRequires: libxml-devel
- add BuildRequires: libxml2-devel
- use libxml2-2.6.20 (configure --with-libxml2 with libxml2-devel)

* Sun Sep  5 2004 IWAI, Masaharu <iwai@alib.jp>
- SECURITY FIX: CAN-2004-0179 and CAN-2004-0398
  - add cadaver.patch ( Patch100 ) from OpenPKG cadaver-0.22.0-2.0.2

* Tue Mar 30 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22.0-0vl1
- updated to 0.22.0
- rebuild with openssl-0.9.7d

* Thu May 22 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.21.0-0vl1
- updated to 0.21.0
- rebuild with new toolchains
- add Japanese summary

* Fri Feb 22 2002 Toru Sagami <sagami@vinelinux.org> 0.19.1-0vl1
- updated to 0.19.1

* Mon Oct 29 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.18.0-0vl1
- updated 0.18.0
- changed configure options --with-ssl --with-neon=./libneon --with-libxml1
- eliminated neon-devel in BuildPreReq (because 0.18.0 supported neon-0.16.1 )
- added libxml-devel in BuildPreReq
- added manpage

* Fri Jul 27 2001 Satoshi MACHINO <machino@vinelinux.org> 0.17.0-0vl1
- updated 0.17.0
- --enable-libxml 

* Fri Mar  2 2001 Tim Powers <timp@redhat.com>
- rebuilt against openssl-0.9.6-1

* Fri Jan 19 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.16.0

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- initial Power Tools build
